/*
Copyright 2022, Savanni D'Gerinel <savanni@luminescent-dreams.com>

This file is part of Savanni's AVR library.

Lumeto is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

Lumeto is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with Lumeto. If not, see <https://www.gnu.org/licenses/>.
*/

#include <avr/io.h>
#include <base.h>

#ifndef __SK9822_H__
#define __SK9822_H__

typedef struct RGB_s {
    uint8_t brightness;
    uint8_t r;
    uint8_t g;
    uint8_t b;
} rgb_t;

void send_pixels(dio_t data_pin, dio_t clock_pin, rgb_t *pixels, uint8_t count);

#endif
